指定ubuntu下的Python的运行版本

问题描述:

Ubuntu 12中默认就自带了python的2.7版本,我自己安装了一个python3.2的版本,可是如果你不设置环境变量,那么在终端中运行的python都是系统默认的版本,这样就会导致3.2的程序在终端下无法运行,没有办法必须要将默认的python版本换到3.2.

问题分析:

其实在linux系统中多个python版本是可以共存的,只不过在终端中运行的时候,输入 python2.7 或者 python3.2 就能进入不同的版本了,而且在你的*.py文件中可以用 #!/usr/bin/python  来指定程序的解释器版本,不过这样使用起来有些不方便,所以就把/usr/bin/python这个快捷方式的指向修改下好了。

解决方法:

sudo cp /usr/bin/python /usr/bin/python_bak,先备份
sudo rm /usr/bin/python,删除
sudo ln -s /usr/bin/python3.2 /usr/bin/python,默认设置成python3.2

这样在终端中输入python默认就是 3.2版本了
©️2020 CSDN 皮肤主题: 大白 设计师:CSDN官方博客 返回首页